Bug 1571460 - Fedora 27 - Crash on system dual monitor - lenovo t460 - i965: Failed to submit batchbuffer: bad address
Summary: Fedora 27 - Crash on system dual monitor - lenovo t460 - i965: Failed to sub...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gdm
Version: 27
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Ray Strode [halfline]
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-24 20:51 UTC by lordtux
Modified: 2018-11-30 21:13 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-30 21:13:06 UTC
Type: Bug


Attachments (Terms of Use)

Description lordtux 2018-04-24 20:51:52 UTC
Description of problem:
I bought two monitors and I started using them on the t460 lenovo.
But after some time I got some crashes.
I have a 4K monitor connected on the hdmi port but with 1440p resolution. ( the 460 render 4k very slow) and a second monitor, Full HD on the Display Port.
After some time, may vary, the system hang and my graphical session got disconnected and restarted, the system enter a loop and the only way to solve is rebooting.
On other situations the graphical session got reset and I need login on again, but at this time all my work is lost.


Version-Release number of selected component (if applicable):


How reproducible:
Not reproducible.

Additional info:
System information and the journal ctl log before the system crash

[root@tp460Fedora ~]$ rpm -qa |egrep -i "xorg|intel|gdm"
xorg-x11-xauth-1.0.9-9.fc27.x86_64
xorg-x11-drv-vesa-2.3.2-28.fc27.x86_64
xorg-x11-utils-7.5-25.fc27.x86_64
xorg-x11-xkb-utils-7.7-21.fc27.x86_64
xorg-x11-xinit-1.3.4-16.fc27.x86_64
xorg-x11-fonts-misc-7.5-18.fc27.noarch
xorg-x11-drv-qxl-0.1.5-5.fc27.x86_64
pulseaudio-gdm-hooks-11.1-15.fc27.x86_64
xorg-x11-drv-openchrome-0.6.0-3.fc27.x86_64
gdm-3.26.2.1-3.fc27.x86_64
xorg-x11-apps-7.7-18.fc27.x86_64
xorg-x11-drv-nouveau-1.0.15-3.fc27.x86_64
xorg-x11-drv-libinput-0.26.0-1.fc27.x86_64
xorg-x11-drv-vmware-13.2.1-4.fc27.x86_64
xorg-x11-drv-intel-2.99.917-31.20171025.fc27.x86_64
xorg-x11-server-Xorg-1.19.6-5.fc27.x86_64
xorg-x11-server-common-1.19.6-5.fc27.x86_64
xorg-x11-drv-fbdev-0.4.3-28.fc27.x86_64
xorg-x11-xbitmaps-1.1.1-11.fc27.noarch
xorg-x11-drv-wacom-0.35.0-3.fc27.x86_64
xorg-x11-server-Xephyr-1.19.6-5.fc27.x86_64
xorg-x11-drv-evdev-2.10.5-4.fc27.x86_64
xorg-x11-server-Xwayland-1.19.6-5.fc27.x86_64
xorg-x11-drv-ati-7.9.0-3.fc27.x86_64
xorg-x11-proto-devel-7.7-23.fc27.noarch
xorg-x11-fonts-ISO8859-1-100dpi-7.5-18.fc27.noarch
xorg-x11-server-utils-7.7-23.fc27.x86_64
xorg-x11-fonts-Type1-7.5-18.fc27.noarch
abrt-addon-xorg-2.10.7-1.fc27.x86_64
xorg-x11-font-utils-7.5-35.fc27.x86_64
[root@tp460Fedora ~]$ uname -a
Linux tp460Fedora 4.15.13-300.fc27.x86_64 #1 SMP Mon Mar 26 19:06:57 UTC 2018 x86_64 x86_64 x86_64 GNU/Linux
[root@tp460Fedora ~]$ date
Tue Apr 24 17:49:59 -03 2018
[root@tp460Fedora ~]$ cat /etc/fedora-release
Fedora release 27 (Twenty Seven)
[root@tp460Fedora ~]$

###########################################
journalctl


Apr 24 17:15:44 tp460Fedora plasmashell[3637]: file:///usr/share/plasma/plasmoids/org.kde.plasma.taskmanager/contents/ui/ToolTipInstance.qml:437: ReferenceError: VirtualDesktop is not defined
Apr 24 17:15:44 tp460Fedora plasmashell[3637]: file:///usr/share/plasma/plasmoids/org.kde.plasma.taskmanager/contents/ui/ToolTipInstance.qml:437: ReferenceError: VirtualDesktop is not defined
Apr 24 17:15:44 tp460Fedora plasmashell[3637]: file:///usr/share/plasma/plasmoids/org.kde.plasma.taskmanager/contents/ui/ToolTipInstance.qml:437: ReferenceError: VirtualDesktop is not defined
Apr 24 17:15:44 tp460Fedora /usr/libexec/gdm-x-session[3325]: i965: Failed to submit batchbuffer: Bad address
Apr 24 17:15:44 tp460Fedora /usr/libexec/gdm-x-session[3325]: X IO Error
Apr 24 17:15:44 tp460Fedora Web Content[5253]: /usr/lib64/firefox/firefox: Fatal IO error 11 (Resource temporarily unavailable) on X server :1.
Apr 24 17:15:44 tp460Fedora yakuake[3740]: The X11 connection broke: I/O error (code 1)
Apr 24 17:15:44 tp460Fedora at-spi-bus-launcher[3687]: XIO:  fatal IO error 11 (Resource temporarily unavailable) on X server ":1"
Apr 24 17:15:44 tp460Fedora at-spi-bus-launcher[3687]:       after 124117 requests (124117 known processed) with 0 events remaining.
Apr 24 17:15:45 tp460Fedora /usr/libexec/gdm-x-session[3325]: XIO:  fatal IO error 11 (Resource temporarily unavailable) on X server ":1"
Apr 24 17:15:45 tp460Fedora /usr/libexec/gdm-x-session[3325]:       after 13907595 requests (13906513 known processed) with 0 events remaining.
Apr 24 17:15:44 tp460Fedora unknown[5686]: geany: Fatal IO error 11 (Resource temporarily unavailable) on X server :1.
Apr 24 17:15:45 tp460Fedora /usr/libexec/gdm-x-session[3325]: cherrytree: Fatal IO error 11 (Resource temporarily unavailable) on X server :1.
Apr 24 17:15:44 tp460Fedora xembedsniproxy[3648]: The X11 connection broke (error 1). Did the X11 server die?
Apr 24 17:15:45 tp460Fedora /usr/libexec/gdm-x-session[3325]: shutter: Fatal IO error 11 (Resource temporarily unavailable) on X server :1.
Apr 24 17:15:44 tp460Fedora firefox[4818]: firefox: Fatal IO error 11 (Resource temporarily unavailable) on X server :1.
Apr 24 17:15:45 tp460Fedora /usr/libexec/gdm-x-session[3325]: XIO:  fatal IO error 11 (Resource temporarily unavailable) on X server ":1"
Apr 24 17:15:45 tp460Fedora /usr/libexec/gdm-x-session[3325]:       after 19155286 requests (19155286 known processed) with 0 events remaining.
Apr 24 17:15:44 tp460Fedora klauncher[3559]: The X11 connection broke (error 1). Did the X11 server die?
Apr 24 17:15:45 tp460Fedora /usr/libexec/gdm-x-session[3325]: XIO:  fatal IO error 2 (No such file or directory) on X server ":1"
Apr 24 17:15:45 tp460Fedora /usr/libexec/gdm-x-session[3325]:       after 9775129 requests (9774987 known processed) with 0 events remaining.
Apr 24 17:15:44 tp460Fedora ksmserver[3583]: The X11 connection broke (error 1). Did the X11 server die?
Apr 24 17:15:45 tp460Fedora /usr/libexec/gdm-x-session[3325]: ibmsaml: Fatal IO error 11 (Resource temporarily unavailable) on X server :1.
Apr 24 17:15:44 tp460Fedora unknown[5862]: xdg-desktop-portal-gtk: Fatal IO error 11 (Resource temporarily unavailable) on X server :1.
Apr 24 17:15:45 tp460Fedora /usr/libexec/gdm-x-session[3325]: klauncher: Exiting on signal 15
Apr 24 17:15:45 tp460Fedora /usr/libexec/gdm-x-session[3325]: klauncher: Exiting on signal 1
Apr 24 17:15:44 tp460Fedora org_kde_powerdevil[3780]: The X11 connection broke (error 1). Did the X11 server die?
Apr 24 17:15:44 tp460Fedora plasmashell[3637]: The X11 connection broke: I/O error (code 1)
Apr 24 17:15:44 tp460Fedora akonadi_ical_resource[4160]: The X11 connection broke (error 1). Did the X11 server die?
Apr 24 17:15:44 tp460Fedora unknown[5323]: /usr/lib64/firefox/firefox: Fatal IO error 11 (Resource temporarily unavailable) on X server :1.
Apr 24 17:15:45 tp460Fedora /usr/libexec/gdm-x-session[3325]: Unexpected response from KInit (response = 0).
Apr 24 17:15:44 tp460Fedora krunner[3633]: The X11 connection broke (error 1). Did the X11 server die?
Apr 24 17:15:44 tp460Fedora dolphin[5737]: The X11 connection broke (error 1). Did the X11 server die?
Apr 24 17:15:44 tp460Fedora unknown[5840]: tilix: Fatal IO error 11 (Resource temporarily unavailable) on X server :1.
Apr 24 17:15:44 tp460Fedora dolphin[5680]: The X11 connection broke (error 1). Did the X11 server die?
Apr 24 17:15:44 tp460Fedora kactivitymanagerd[3941]: The X11 connection broke (error 1). Did the X11 server die?
Apr 24 17:15:44 tp460Fedora kwin_x11[3621]: The X11 connection broke: I/O error (code 1)
Apr 24 17:15:44 tp460Fedora akonadi_sendlater_agent[4187]: The X11 connection broke (error 1). Did the X11 server die?
Apr 24 17:15:44 tp460Fedora akonadi_newmailnotifier_agent[4185]: The X11 connection broke (error 1). Did the X11 server die?
Apr 24 17:15:44 tp460Fedora akonadi_migration_agent[4182]: The X11 connection broke (error 1). Did the X11 server die?
Apr 24 17:15:44 tp460Fedora kaccess[3571]: The X11 connection broke (error 1). Did the X11 server die?
Apr 24 17:15:44 tp460Fedora unknown[5040]: /usr/lib64/firefox/firefox: Fatal IO error 11 (Resource temporarily unavailable) on X server :1.
Apr 24 17:15:44 tp460Fedora kdeinit5[3562]: The X11 connection broke (error 1). Did the X11 server die?
Apr 24 17:15:44 tp460Fedora akonadi_followupreminder_agent[4155]: The X11 connection broke (error 1). Did the X11 server die?
Apr 24 17:15:44 tp460Fedora akonadi_maildispatcher_agent[4171]: The X11 connection broke (error 1). Did the X11 server die?
Apr 24 17:15:44 tp460Fedora akonadi_birthdays_resource[4152]: The X11 connection broke (error 1). Did the X11 server die?
Apr 24 17:15:44 tp460Fedora korgac[3777]: The X11 connection broke (error 1). Did the X11 server die?
Apr 24 17:15:44 tp460Fedora unknown[3748]: abrt: Fatal IO error 11 (Resource temporarily unavailable) on X server :1.
Apr 24 17:15:44 tp460Fedora akonadi_akonotes_resource[4149]: The X11 connection broke (error 1). Did the X11 server die?
Apr 24 17:15:44 tp460Fedora akonadi_archivemail_agent[4150]: The X11 connection broke (error 1). Did the X11 server die?
Apr 24 17:15:44 tp460Fedora akonadi_maildir_resource[4168]: The X11 connection broke (error 1). Did the X11 server die?
Apr 24 17:15:44 tp460Fedora akonadi_contacts_resource[4153]: The X11 connection broke (error 1). Did the X11 server die?
Apr 24 17:15:44 tp460Fedora kuiserver5[4263]: The X11 connection broke (error 1). Did the X11 server die?
Apr 24 17:15:44 tp460Fedora akonadi_mailfilter_agent[4174]: The X11 connection broke (error 1). Did the X11 server die?
Apr 24 17:15:44 tp460Fedora unknown[4954]: /usr/lib64/firefox/firefox: Fatal IO error 11 (Resource temporarily unavailable) on X server :1.
Apr 24 17:15:44 tp460Fedora kdeinit5[3558]: kdeinit5: Fatal IO error: client killed
Apr 24 17:15:44 tp460Fedora kdeinit5[3558]: kdeinit5: sending SIGHUP to children.
Apr 24 17:15:44 tp460Fedora akonadi_indexing_agent[4166]: The X11 connection broke (error 1). Did the X11 server die?
Apr 24 17:15:44 tp460Fedora kdeinit5[3558]: kdeinit5: sending SIGTERM to children.
Apr 24 17:15:44 tp460Fedora kdeinit5[3558]: kdeinit5: Exit.
Apr 24 17:15:44 tp460Fedora systemd[3307]: xdg-desktop-portal-gtk.service: Main process exited, code=exited, status=1/FAILURE
Apr 24 17:15:44 tp460Fedora akonadi_control[3989]: The X11 connection broke (error 1). Did the X11 server die?
Apr 24 17:15:45 tp460Fedora systemd[3307]: xdg-desktop-portal-gtk.service: Unit entered failed state.
Apr 24 17:15:45 tp460Fedora systemd[3307]: xdg-desktop-portal-gtk.service: Failed with result 'exit-code'.
Apr 24 17:15:45 tp460Fedora kscreen_backend_launcher[3698]: The X11 connection broke (error 1). Did the X11 server die?
Apr 24 17:15:45 tp460Fedora kglobalaccel5[3595]: The X11 connection broke (error 1). Did the X11 server die?
Apr 24 17:15:45 tp460Fedora polkit-kde-authentication-agent-1[3643]: The X11 connection broke (error 1). Did the X11 server die?
Apr 24 17:15:45 tp460Fedora kwalletd5[4437]: The X11 connection broke (error 1). Did the X11 server die?
Apr 24 17:15:45 tp460Fedora bluetoothd[1038]: Endpoint unregistered: sender=:1.99 path=/MediaEndpoint/A2DPSource
Apr 24 17:15:45 tp460Fedora /usr/libexec/gdm-x-session[3325]: XIO:  fatal IO error 25 (Inappropriate ioctl for device) on X server ":1"
Apr 24 17:15:45 tp460Fedora /usr/libexec/gdm-x-session[3325]:       after 27485 requests (27485 known processed) with 0 events remaining.
Apr 24 17:15:45 tp460Fedora akonadiserver[4032]: org.kde.pim.akonadiserver: Control process died, committing suicide!
Apr 24 17:15:45 tp460Fedora bluetoothd[1038]: Endpoint unregistered: sender=:1.99 path=/MediaEndpoint/A2DPSink
Apr 24 17:15:45 tp460Fedora korgac[3777]: "QLocalSocket: Remote closed" "/tmp/akonadi-edipof.uAIrNN/akonadiserver-cmd.socket"
Apr 24 17:15:45 tp460Fedora /usr/libexec/gdm-x-session[3325]: write node content, node_id 2059 , write_dict {'upd': True, 'buff': True, 'hier': False, 'child': False, 'prop': False}

Comment 1 Ben Cotton 2018-11-27 16:02:36 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 2 Ben Cotton 2018-11-30 21:13:06 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.